<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__tls__mw__defines" kind="group">
    <compoundname>tls_mw_defines</compoundname>
    <title>TLS results/error codes</title>
      <sectiondef kind="define">
      <memberdef id="group__tls__mw__defines_1ga9eeffe773ca1a02dc8bf085d0db95ec9" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_ERR_CODE_START</name>
        <initializer>(0)</initializer>
        <briefdescription>
<para>TLS error code start. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="162" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="162" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9" kind="define" prot="public" static="no">
        <name>CY_RSLT_TLS_ERR_BASE</name>
        <initializer>CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, <ref kindref="member" refid="group__group__utils__enums_1ga3e05651118cb5d64279b650b3982298e">CY_RSLT_MODULE_TLS_BASE</ref>, <ref kindref="member" refid="group__tls__mw__defines_1ga9eeffe773ca1a02dc8bf085d0db95ec9">CY_RSLT_MODULE_TLS_ERR_CODE_START</ref>)</initializer>
        <briefdescription>
<para>TLS base error code. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="164" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="164" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga646454051a5a520991e9bc3be569b6ba" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_ERROR</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 1 )</initializer>
        <briefdescription>
<para>TLS generic error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="166" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="166" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga63b1762e48b89f706d33b17149153c2a" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_TIMEOUT</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 2 )</initializer>
        <briefdescription>
<para>TLS timeout error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="168" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="168" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga7c53c63a891a31404bfff289447f0e84" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_BADARG</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 3 )</initializer>
        <briefdescription>
<para>TLS bad argument. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="170" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="170" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1gab9fa1fd6b2b9df46285db14534b038c6" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_OUT_OF_HEAP_SPACE</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 4 )</initializer>
        <briefdescription>
<para>TLS out of memory. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="172" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="172" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga49651995a50f26696e810bb6f0da0776" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_BAD_INPUT_DATA</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 5 )</initializer>
        <briefdescription>
<para>TLS bad input. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="174" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="174" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga8cd56eafc882e60622e3628867a78287" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_PARSE_KEY</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 6 )</initializer>
        <briefdescription>
<para>TLS error parsing private key. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="176" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="176" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1gade4ac97536edb4b350d9b8a60bb74306" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_PARSE_CERTIFICATE</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 7 )</initializer>
        <briefdescription>
<para>TLS error parsing certificate. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="178" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="178" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1gab215ddbeeab62c35704bba3941c681d3" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_UNSUPPORTED</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 8 )</initializer>
        <briefdescription>
<para>TLS unsupported method. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="180" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="180" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga5e15a15c1759218cba4d5bdd570b86a1" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_HANDSHAKE_FAILURE</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 9 )</initializer>
        <briefdescription>
<para>TLS handshake failure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="182" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="182" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1ga65c622db9c051f50a2596e83d971d64e" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_CONNECTION_CLOSED</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 10 )</initializer>
        <briefdescription>
<para>TLS socket connection closed by peer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="184" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="184" />
      </memberdef>
      <memberdef id="group__tls__mw__defines_1gafb1223ef6646c39d3a2fff67a9a99244" kind="define" prot="public" static="no">
        <name>CY_RSLT_MODULE_TLS_SOCKET_NOT_CONNECTED</name>
        <initializer>( <ref kindref="member" refid="group__tls__mw__defines_1ga0ed14519f02a201dc5e4a22142c72ed9">CY_RSLT_TLS_ERR_BASE</ref> + 11 )</initializer>
        <briefdescription>
<para>TLS socket not connected. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" bodystart="186" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/mw-utilities/cy_result_mw.h" line="186" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>